package com.casic.dcms.ui;

import android.widget.LinearLayout;

import androidx.core.content.ContextCompat;
import androidx.fragment.app.Fragment;

import com.casic.dcms.R;
import com.casic.dcms.adapter.SubViewPagerAdapter;
import com.casic.dcms.base.AndroidxBaseActivity;
import com.casic.dcms.databinding.ActivityThreePackageBinding;
import com.casic.dcms.ui.fragment.threepkg.PackageHandledFragment;
import com.casic.dcms.ui.fragment.threepkg.PackageTodoFragment;
import com.casic.dcms.utils.Constant;

import java.util.ArrayList;
import java.util.List;

public class PackageHandleActivity extends AndroidxBaseActivity<ActivityThreePackageBinding> {

    @Override
    protected void setupTopBarLayout() {
        viewBinding.titleBarLayout.titleView.setText("三包处置");
        viewBinding.titleBarLayout.leftBackView.setOnClickListener(v -> finish());
    }

    @Override
    protected void initData() {
        List<Fragment> fragmentList = new ArrayList<>();
        fragmentList.add(new PackageTodoFragment());
        fragmentList.add(new PackageHandledFragment());
        SubViewPagerAdapter adapter = new SubViewPagerAdapter(getSupportFragmentManager(), Constant.CASE_PAGE_TITLES, fragmentList);
        viewBinding.viewPager.setAdapter(adapter);
        //绑定TabLayout
        viewBinding.tabLayout.setupWithViewPager(viewBinding.viewPager);
        LinearLayout linearLayout = (LinearLayout) viewBinding.tabLayout.getChildAt(0);
        linearLayout.setShowDividers(LinearLayout.SHOW_DIVIDER_MIDDLE);
        linearLayout.setDividerDrawable(ContextCompat.getDrawable(this, R.drawable.layout_divider_vertical));
    }

    @Override
    protected void initEvent() {

    }
}